import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const journalEntry = await conductor.qbd.journalEntries.create({
transactionDate: '2024-10-01',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(journalEntry.id);import os
from datetime import date
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
journal_entry = conductor.qbd.journal_entries.create(
transaction_date=date.fromisoformat("2024-10-01"),
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(journal_entry.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/journal-entries \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionDate": "2024-10-01",
"refNumber": "JE-1234",
"isAdjustment": false,
"isHomeCurrencyAdjustment": false,
"areAmountsEnteredInHomeCurrency": false,
"currencyId": "80000001-1234567890",
"exchangeRate": 1.2345,
"externalId": "12345678-abcd-1234-abcd-1234567890ab",
"debitLines": [
{
"accountId": "80000001-1234567890",
"amount": "1000.00",
"memo": "Monthly utility bill settlement",
"entityId": "80000001-1234567890",
"classId": "80000001-1234567890",
"salesTaxItemId": "80000001-1234567890",
"billingStatus": "billable"
}
],
"creditLines": [
{
"accountId": "80000001-1234567890",
"amount": "1000.00",
"memo": "Allocated funds for office lease payment",
"entityId": "80000001-1234567890",
"classId": "80000001-1234567890",
"salesTaxItemId": "80000001-1234567890",
"billingStatus": "billable"
}
]
}
'
{
"id": "123ABC-1234567890",
"objectType": "qbd_journal_entry",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"transactionDate": "2024-10-01",
"refNumber": "JE-1234",
"isAdjustment": false,
"isHomeCurrencyAdjustment": false,
"areAmountsEnteredInHomeCurrency": false,
"currency": {
"id": "80000001-1234567890",
"fullName": "USD"
},
"exchangeRate": 1.2345,
"externalId": "12345678-abcd-1234-abcd-1234567890ab",
"debitLines": [
{
"id": "456DEF-1234567890",
"objectType": "qbd_journal_debit_line",
"account": {
"id": "80000001-1234567890",
"fullName": "Checking"
},
"amount": "1000.00",
"memo": "Monthly utility bill settlement",
"entity": {
"id": "80000001-1234567890",
"fullName": "Acme Corporation"
},
"class": {
"id": "80000001-1234567890",
"fullName": "Facilities & Utilities"
},
"salesTaxItem": {
"id": "80000001-1234567890",
"fullName": "State Sales Tax"
},
"billingStatus": "billable"
}
],
"creditLines": [
{
"id": "456DEF-1234567890",
"objectType": "qbd_journal_credit_line",
"account": {
"id": "80000001-1234567890",
"fullName": "Accounts-Payable"
},
"amount": "1000.00",
"memo": "Allocated funds for office lease payment",
"entity": {
"id": "80000001-1234567890",
"fullName": "Acme Corporation"
},
"class": {
"id": "80000001-1234567890",
"fullName": "Administrative"
},
"salesTaxItem": {
"id": "80000001-1234567890",
"fullName": "State Sales Tax"
},
"billingStatus": "billable"
}
],
"customFields": [
{
"ownerId": "0",
"name": "Customer Rating",
"type": "string_1024_type",
"value": "Premium"
}
]
}Create a journal entry
Creates a journal entry with balanced debit and credit lines. QuickBooks Desktop requires total debits to equal total credits, and any line that posts to Accounts Receivable or Accounts Payable must include the related customer or vendor reference.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const journalEntry = await conductor.qbd.journalEntries.create({
transactionDate: '2024-10-01',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(journalEntry.id);import os
from datetime import date
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
journal_entry = conductor.qbd.journal_entries.create(
transaction_date=date.fromisoformat("2024-10-01"),
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(journal_entry.id)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Body
The date of this journal entry, in ISO 8601 format (YYYY-MM-DD).
"2024-10-01"
The case-sensitive user-defined reference number for this journal entry, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user. When left blank in this create request, this field will be left blank in QuickBooks (i.e., it does not auto-increment).
Maximum length: 11 characters.
11"JE-1234"
Indicates whether this journal entry is an adjustment entry. When true, QuickBooks retains the original entry information to maintain an audit trail of the adjustments.
false
Indicates whether this journal entry is an adjustment made in the company's home currency for a transaction that was originally recorded in a foreign currency.
false
Indicates whether the amounts in this journal entry were entered in the company's home currency rather than a foreign currency. When true, amounts are in the home currency regardless of the currency field.
false
The journal entry's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.
36"80000001-1234567890"
The market exchange rate between this journal entry's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).
1.2345
A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.
IMPORTANT: This field must be formatted as a valid GUID; otherwise, QuickBooks will return an error.
"12345678-abcd-1234-abcd-1234567890ab"
The journal entry's debit lines.
1Show child attributes
Show child attributes
The journal entry's credit lines.
1Show child attributes
Show child attributes
Response
Returns the newly created journal entry.
The unique identifier assigned by QuickBooks to this journal entry. This ID is unique across all transaction types.
"123ABC-1234567890"
The type of object. This value is always "qbd_journal_entry".
"qbd_journal_entry""qbd_journal_entry"
The date and time when this journal entry was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-01-01T12:34:56.000Z"
The date and time when this journal entry was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-02-01T12:34:56.000Z"
The current QuickBooks-assigned revision number of this journal entry object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The date of this journal entry, in ISO 8601 format (YYYY-MM-DD).
"2024-10-01"
The case-sensitive user-defined reference number for this journal entry, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.
"JE-1234"
Indicates whether this journal entry is an adjustment entry. When true, QuickBooks retains the original entry information to maintain an audit trail of the adjustments.
false
Indicates whether this journal entry is an adjustment made in the company's home currency for a transaction that was originally recorded in a foreign currency.
false
Indicates whether the amounts in this journal entry were entered in the company's home currency rather than a foreign currency. When true, amounts are in the home currency regardless of the currency field.
false
The journal entry's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.
Show child attributes
Show child attributes
{
"id": "80000001-1234567890",
"fullName": "USD"
}
The market exchange rate between this journal entry's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).
1.2345
A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.
"12345678-abcd-1234-abcd-1234567890ab"
The journal entry's debit lines.
Show child attributes
Show child attributes
The journal entry's credit lines.
Show child attributes
Show child attributes
The custom fields for the journal entry object, added as user-defined data extensions, not included in the standard QuickBooks object.
Show child attributes
Show child attributes

